Subject: Re: ja/i18n-common-messages

From: Jean-Noël AVILA <[email-masked]>
Date: Sun, 06 Feb 2022 11:03:52 +0100

On Sunday, 6 February 2022 09:12:08 CET Bagas Sanjaya wrote:
> On 05/02/22 19.18, Jean-Noël AVILA wrote:
> > Bad news: this implementation is already crippled. For instance, calling `git
> > commit --fixup -m -c` would first bring up:
> > "options '-c' and '--fixup' cannot be used together"
> > Then remove --fixup and you get
> > "options '-m' and '-c' cannot be used together"
> > 
> > This is because (according to the code, I don't know if it's really what's
> > wanted) the real logic is
> > Exclusive ("-C", "-c", "-F", Or("--fixup", "-m"))
> 
> I read that your intended logic as 'options "-c", "-m", and '--fixup' cannot
> be used together', right?
> 
> 

In such case, in a perfect UI, I would expect more something along 
"option '-C' cannot be used with '--fixup' and '-m'"